fix: don't immediately exit on errors (#5336)

Don't immediately exit on errors because this will hide diagnostic
information, and linter output.

Fix #5335

ci: add docs updates to changelog
This commit is contained in:
Marco Ferrari 2024-02-27 14:57:36 +01:00 committed by GitHub
parent 608bd502d8
commit 4a05d78ed4
No known key found for this signature in database
GPG key ID: B5690EEEBB952194
3 changed files with 5 additions and 2 deletions

View file

@ -24,6 +24,10 @@
{
"section": "🧰 Maintenance",
"type": "ci"
},
{
"section": "🧰 Maintenance",
"type": "docs"
}
],
"packages": {

View file

@ -1,6 +1,5 @@
#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail
@ -658,6 +657,7 @@ UpdateLoopsForImage() {
# shellcheck disable=SC2317
cleanup() {
local -ri EXIT_CODE=$?
debug "Captured exit code: ${EXIT_CODE}"
if [ -n "${GITHUB_WORKSPACE:-}" ]; then
debug "Removing temporary files and directories"

View file

@ -1,6 +1,5 @@
#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail